/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.healer.genetic;

import java.util.List;

import de.hft.stuttgart.citydoctor2.datastructure.Polygon;
import de.hft.stuttgart.citydoctor2.datastructure.Vertex;

public class PolygonVertexList {
	
	private Polygon polygon;
	private List<Vertex> vertices;
	private boolean[] useVertex;
	
	public PolygonVertexList(Polygon polygon, List<Vertex> vertices) {
		this.polygon = polygon;
		this.vertices = vertices;
		useVertex = new boolean[vertices.size()];
	}
	
	public Polygon getPolygon() {
		return polygon;
	}
	
	public List<Vertex> getVertices() {
		return vertices;
	}
	
	public boolean[] getUseVertex() {
		return useVertex;
	}

}
